Bug 312014 - testing: group by file does not work correctly
Summary: testing: group by file does not work correctly
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: view-engine: details mode (show other bugs)
Version: 16.12.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-20 23:34 UTC by Anders Lund
Modified: 2013-06-18 15:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.5


Attachments
screenshot of my grouped view (188.01 KB, image/png)
2012-12-20 23:36 UTC, Anders Lund
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Lund 2012-12-20 23:34:40 UTC
Testing dolphin according to http://community.kde.org/Getinvolved/Quality/Beta/4.10/AreasToTest/Dolphin,the grouping test failed.

I use detailed view, and started with other tests, and therefore added some extra columns to show image and doucment metadata. When grouping and then sorting by type, I get lots and lots of groups of one or a few documents

Reproducible: Always
Comment 1 Anders Lund 2012-12-20 23:36:51 UTC
Created attachment 75946 [details]
screenshot of my grouped view
Comment 2 Emmanuel Pescosta 2013-01-12 15:50:29 UTC
This bug also happens when sorting/grouping by name is enabled
Comment 3 Emmanuel Pescosta 2013-03-13 21:50:20 UTC
Review-Request: https://git.reviewboard.kde.org/r/109471/
Comment 4 Frank Reininghaus 2013-06-18 15:42:22 UTC
Git commit 735c046ddac45f729e52dda38f7152b62c304bb3 by Frank Reininghaus.
Committed on 18/06/2013 at 17:39.
Pushed by freininghaus into branch 'KDE/4.10'.

Ensure that the "Sort by Type" setting is respected

Before this commit, switching from, e.g., "Sort by Name" to "Sort by
Type" sometimes had no effect until the view was refreshed. The problem
was that the re-sorting was triggered before the type information was
actually added to the model.
Related: bug 310705
FIXED-IN: 4.10.5
REVIEW: 111004

M  +3    -3    dolphin/src/kitemviews/kfileitemmodel.cpp
M  +42   -1    dolphin/src/tests/kfileitemmodeltest.cpp

http://commits.kde.org/kde-baseapps/735c046ddac45f729e52dda38f7152b62c304bb3